<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "communication_description".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CommunicationDescription".
 *
 * Columns in table "communication_description" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $communication_id
 * @property string $communication_table
 * @property string $date_added
 * @property integer $reference_id
 * @property string $reference_table
 * @property string $description
 *
 */
abstract class BaseCommunicationDescription extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'communication_description';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CommunicationDescription|CommunicationDescriptions', $n);
    }

    public static function representingColumn()
    {
        return 'communication_table';
    }

    public function rules()
    {
        return array(
            array('communication_id, communication_table, date_added', 'required'),
            array('communication_id, reference_id', 'numerical', 'integerOnly' => true),
            array('communication_table', 'length', 'max' => 19),
            array('reference_table, description', 'length', 'max' => 255),
            array('reference_id, reference_table, description', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, communication_id, communication_table, date_added, reference_id, reference_table, description', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'communication_id' => Yii::t('app', 'Communication'),
            'communication_table' => Yii::t('app', 'Communication Table'),
            'date_added' => Yii::t('app', 'Date Added'),
            'reference_id' => Yii::t('app', 'Reference'),
            'reference_table' => Yii::t('app', 'Reference Table'),
            'description' => Yii::t('app', 'Description'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('communication_id', $this->communication_id);
        $criteria->compare('communication_table', $this->communication_table, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('reference_id', $this->reference_id);
        $criteria->compare('reference_table', $this->reference_table, true);
        $criteria->compare('description', $this->description, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
